## python-ligo-lw-1.7.1.tar.gz

=== test/Makefile ===
PYTHON ?= python3

check : \
	ligolw_print_test \
	ligolw_sqlite_test \
	ligo_lw_test_01 \
	ligolw_test03a \
	ligolw_test03b \
	ligolw_test03c \
	ligolw_test04 \
	ligolw_test05 \
	test_array \
	test_ilwd \
	test_ligolw \
	test_lsctables \
	test_param \
	test_table \
	test_tokenizer \
	test_utils \
	test_utils_process \
	test_utils_segments
	@echo "All Tests Passed"

define printpassfail
{ echo "Pass" ; true ; } || { echo "Fail" ; false ; }
endef

SERVEFILESPORT := 16543

define servefilestart
{ $(PYTHON) -c "import http.server ; http.server.HTTPServer(('127.0.0.1', $(SERVEFILESPORT)), http.server.SimpleHTTPRequestHandler).handle_request()" & sleep 1 ; }
endef
define servefilestop
wait
endef

ligolw_test03a :
	@echo "=== start $@ ===>"
	# test reading compressed and non-compressed files from stdin
	{ cat inspiral_event_id_test_in1.xml.gz | ligolw_print >/dev/null ; } && $(printpassfail)
	{ cat inspiral_event_id_test_in2.xml | ligolw_print >/dev/null ; } && $(printpassfail)
	@echo "<=== end $@ ==="

ligolw_test03b :
	@echo "=== start $@ ===>"
	# test reading compressed and non-compressed files
	ligolw_print inspiral_event_id_test_in1.xml.gz >/dev/null && $(printpassfail)
	ligolw_print inspiral_event_id_test_in2.xml >/dev/null && $(printpassfail)
	@echo "<=== end $@ ==="

ligolw_test03c :
	@echo "=== start $@ ===>"
	# test reading compressed and non-compressed files from http:// URLs
	$(servefilestart) && { ligolw_print http://127.0.0.1:$(SERVEFILESPORT)/inspiral_event_id_test_in1.xml.gz >/dev/null && $(printpassfail) ; $(servefilestop) ; }
	$(servefilestart) && { ligolw_print http://127.0.0.1:$(SERVEFILESPORT)/inspiral_event_id_test_in2.xml >/dev/null && $(printpassfail) ; $(servefilestop) ; }
	@echo "<=== end $@ ==="

ligolw_test04 :
	@echo "=== start $@ ===>"
	{ ligolw_cut --delete-table sngl_inspiral <inspiral_event_id_test_in1.xml.gz | cmp ligolw_cut_proof.xml ; } && $(printpassfail)
	@echo "<=== end $@ ==="

ligolw_test05 :
	@echo "=== start $@ ===>"
	# make sure XML writing code compresses files
	FILENAME=$(shell mktemp --suffix .xml.gz) && { ligolw_add --output $${FILENAME} ligolw_sqlite_test_input.xml.gz && gunzip --test $${FILENAME} && $(printpassfail) ; } ; rm -f $${FILENAME}
	@echo "<=== end $@ ==="

ligolw_print_test ligolw_sqlite_test :
	@echo "=== start $@ ===>"
	sh $@.sh && $(printpassfail)
	@echo "<=== end $@ ==="

ligo_lw_test_01 test_array test_ilwd test_ligolw test_lsctables test_param test_table test_tokenizer test_utils test_utils_process test_utils_segments :
	@echo "=== start $@ ===>"
	$(PYTHON) $@.py && $(printpassfail)
	@echo "<=== end $@ ==="

clean :
	rm -f ligo_lw_test_01*png

=== debian/changelog ===
python-ligo-lw (1.7.1-1) unstable; urgency=medium

  * fix use of file() in ligolw_segments

 -- Kipp Cannon <kipp.cannon@ligo.org>  Tue, 16 Feb 2021 18:03:43 +0900

python-ligo-lw (1.7.0-1) unstable; urgency=medium

  * replace gz= keyword with compress= and expand auto format detection features
  * implement ligolw_no_ilwdchar as a module for reuse
  * move programs into separate -bin package on Debian
  * expand SimInspiral row type:  add methods to compute effective distance instead of relying on columns with these numbers precomputed;  doing this to allow analysis codes to add support for KAGRA in a way that is uniform across detectors
  * remove table.Table._end_of_rows() hook
  * reimplement most of ligo.lw.utils.process as methods and feature improvements within Process and ProcessParams row types
  * do the same for SearchSummary
  * array.Array:  add .shape property
  * add support for +/-inf to lsctables.gpsproperty_with_gmst
  * convert C modules to native Python 2 & 3 versions and remove six.h from build
  * switch test suite to Python 3.  adds xmllint build dependency because Python 3 can't be relied upon to produce consistent XML output
  * add test of ligolw_sqlite's --tmp-space feature
  * fix ligolw_sqlite's --tmp-space feature on Python 3 by converting working copy mechanism to a context handler which does its own clean-up, instead of hooking into the guts of NamedTemporaryFile
  * various documentation improvements, including new documentation to expand doctest based test suite coverage
  * replace glue.text_progress_bar with tqdm (new dependency)

 -- Kipp Cannon <kipp.cannon@ligo.org>  Wed, 27 Sep 2020 16:42:10 +0900

python-ligo-lw (1.6.0-1) unstable; urgency=medium

  * remove custom ProcessParamsTable from dbtables
  * remove .update_column_info() method from table.Table
  * remove abandoned experiment tables from lsctables
  * remove unused "interning" feature from RowBuilder
  * improve start/stop attribute handling in a variety of lsctables row and
    table types
  * (re-)fix printing null-valued table cells in ligolw_print
  * update lalsuite dependencies on Debian
  * some test suite and packaging updates from Leo and Duncan

 -- Kipp Cannon <kipp.cannon@ligo.org>  Thu, 13 Jun 2019 18:35:10 +0900

python-ligo-lw (1.5.3-1) unstable; urgency=medium

  * fix another offsetvector thinko in lsctables.py
  * fix typo in TimeSlideTable.get_time_slide_id()
  * add table.columnnamesreal
  * bump glue conflict to "< 2.0"
  * more reduction of reliance on "six" module
  * ligolw_print:  use proper format functions to prevent loss of precision
    in floating-point values

 -- Kipp Cannon <kipp.cannon@ligo.org>  Thu, 21 Feb 2019 13:53:33 +0900

python-ligo-lw (1.5.2-1) unstable; urgency=low

  * fix typo in lsctables.py
  * disable unit tests during .deb build
  * fix quoting of version string in .rpm
  * don't omit python-ligo-lw.spec.in from tar ball

 -- Kipp Cannon <kipp.cannon@ligo.org>  Fri, 15 Feb 2019 03:43:56 +0900

python-ligo-lw (1.5.1-1) unstable; urgency=low

  * load_filename() load_url():  close files
  * add missing python-dateutil dependency
  * don't require lalburst, just recommend it
  * add glue-ligolw-tools clean-up deps for python 3

 -- Kipp Cannon <kipp.cannon@ligo.org>  Thu, 14 Feb 2019 19:50:22 +0900

python-ligo-lw (1.5.0-1) unstable; urgency=low

  * port Leo's Python 3 doctest fixes from glue that had been left behind
  * build script fixes
  * restore ligolw_segments to this package
  * update for offsetvector's move to lalburst (adds lalburst dependency)

 -- Kipp Cannon <kipp.cannon@ligo.org>  Mon, 26 Nov 2018 13:00:00 +0900

python-ligo-lw (1.4.0-1) unstable; urgency=low

  * fix ligolw_print
  * temporariliy exclude ligolw_segments from installation

 -- Kipp Cannon <kipp.cannon@ligo.org>  Sun, 30 Sep 2018 19:18:51 +0900

python-ligo-lw (1.3.0-1) unstable; urgency=low

  * move ligolw_segments from pylal via glue

 -- Kipp Cannon <kipp.cannon@ligo.org>  Fri, 28 Sep 2018 16:50:00 +0900

python-ligo-lw (1.2.0-1) unstable; urgency=low

  * first production release

 -- Kipp Cannon <kipp.cannon@ligo.org>  Tue, 18 Sep 2018 11:23:45 +0900

python-ligo-lw (1.1.1-1) unstable; urgency=low

  * pypi dependencies from Leo

 -- Kipp Cannon <kipp.cannon@ligo.org>  Thu, 17 May 2018 12:47:00 +0900

python-ligo-lw (1.1.0-1) unstable; urgency=low

  * Fix bugs in ligolw_no_ilwdchar
  * Adjust package metadata

 -- Kipp Cannon <kipp.cannon@ligo.org>  Wed, 16 May 2018 12:55:00 +0900

python-ligo-lw (1.0.1-1) unstable; urgency=low

  * Various packaging adjustments.

 -- Kipp Cannon <kipp.cannon@ligo.org>  Thu, 10 May 2018 13:55:00 +0900

python-ligo-lw (1.0.0-1) unstable; urgency=low

  * First release of stand-alone ligo.lw library from glue.ligolw

 -- Kipp Cannon <kipp.cannon@ligo.org>  Tue, 8 May 2018 15:58:00 +0900

=== debian/control ===
Source: python-ligo-lw
Section: python
Priority: optional
Maintainer: Kipp Cannon <kipp.cannon@ligo.org>
Build-Depends:
 debhelper (>= 9),
 dh-python,
# for xmllint tool used by test suite
 libxml2-utils,
 python-all,
 python-all-dev,
 python-ligo-common,
 python-setuptools,
 python-six,
 python3-all,
 python3-all-dev,
 python3-ligo-common,
 python3-setuptools,
 python3-six
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.4
Standards-Version: 3.9.3

Package: python-ligo-lw
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${python:Depends},
 python-dateutil,
 python-ligo-common,
 python-ligo-segments,
 python-numpy,
 python-six,
 python-tqdm,
 python-yaml
Recommends:
 python-glue,
 python-lal,
 python-lalburst,
 python-ligo-lw-bin
Description: LIGO Light-Weight XML I/O library
 The LIGO Light-Weight XML format is used extensively by compact object
 detection pipelines and associate tool sets.  This package provides a
 Python I/O library for reading, writing, and interacting with documents in
 this format.

Package: python-ligo-lw-bin
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${python:Depends},
 python-ligo-lw,
 python-ligo-segments
Recommends:
 python-glue,
 python-lal
Conflicts:
 python-glue-ligolw-tools,
 python-glue (<< 2.0),
 python-pylal
Replaces:
 python-glue-ligolw-tools
Provides:
 python-glue-ligolw-tools
Description: LIGO Light-Weight XML I/O library
 The LIGO Light-Weight XML format is used extensively by compact object
 detection pipelines and associate tool sets.  This package provides
 several programs to performe common, basic, manipulations of files in this
 format.

Package: python3-ligo-lw
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${python3:Depends},
 python3-dateutil,
 python3-ligo-common,
 python3-ligo-segments,
 python3-numpy,
 python3-six,
 python3-tqdm,
 python3-yaml
Recommends:
 python3-glue,
 python3-lal,
 python3-lalburst,
 python3-ligo-lw-bin
Description: LIGO Light-Weight XML I/O library
 The LIGO Light-Weight XML format is used extensively by compact object
 detection pipelines and associate tool sets.  This package provides a
 Python I/O library for reading, writing, and interacting with documents in
 this format.

Package: python3-ligo-lw-bin
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${python3:Depends},
 python3-ligo-lw,
 python3-ligo-segments
Recommends:
 python3-glue,
 python3-lal
Conflicts:
 python3-glue-ligolw-tools,
 python3-glue (<< 2.0),
 python-ligo-lw-bin
Replaces:
 python3-glue-ligolw-tools,
 python-ligo-lw-bin
Provides:
 python3-glue-ligolw-tools,
 python-ligo-lw-bin
Description: LIGO Light-Weight XML I/O library
 The LIGO Light-Weight XML format is used extensively by compact object
 detection pipelines and associate tool sets.  This package provides a
 Python I/O library for reading, writing, and interacting with documents in
 this format.
